#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <conio.h>

#include "cxldef.h"
#include "cxlvid.h"
#include "cxlwin.h"
#include "cxlstr.h"
#include "cxlkey.h"
#include "cxladd.h"

void cleanUp (void);
void mainMenu (void);
void setupMainMenu (void);
void addShadow (void);
void processNotePresentation (void);
void processLoadMusicFile (void);
void processColorPresentation (void);
void setupScreen (void);
void processQuit (void);


main (void)
{
   setupScreen ();
   mainMenu ();
   processQuit ();

   return 0;
}

void setupScreen (void)
{
   fill_ (0,0,24,79,176,C_NORMAL);
}

void setupMainMenu (void)
{
   addShadow ();
   wtitle ("[ Main Menu ]",TCENTER,C_INVERSE);
}


void mainMenu (void)
{
   wmenubeg (9,20,17,60,B_DOUBLE,C_INVERSE,C_INVERSE,setupMainMenu);
      wmenuitem (0,0,"Load music file",'L',0,M_NORMAL,processLoadMusicFile,M_NOKEY,M_NOHELP);
      wmenuitem (1,0,"Note presentation",'N',1,M_NORMAL,processNotePresentation,M_NOKEY,M_NOHELP);
      wmenuitem (2,0,"Color presentation",'C',2,M_NORMAL,processColorPresentation,M_NOKEY,M_NOHELP);
   wmenuend (0,M_VERT|M_SAVE|M_NOQS,80,1,C_INVERSE,C_INVERSE,C_INVERSE,C_NORMAL);
   wmenuget ();

}

void processLoadMusicFile (void)
{

}

void processNotePresentation (void)
{

}

void processColorPresentation (void)
{

}

void cleanUp (void)
{
   wcloseall ();
   fcloseall ();
   clrscrn ();
}


void addShadow (void)
{
   wshadow (BLACK|_BLACK);
}

void processQuit (void)
{
   cleanUp ();
   exit (0);
}
