/*  SOUNDKIT 1.0 header file  */
/*  #include "SOUNDKIT.H"     */
/*  compile w/ SOUNDKIT.LIB   */
/*  SOUNDKIT 1.0 Copyright    */
/*  Russell B. Hildreth 1990  */


/* -------------------------- */
/*  Global variables          */
/* -------------------------- */
int speakerstatus;

/* -------------------------- */
/*  Function prototypes       */
/* -------------------------- */

void delay(unsigned length);
void tone(unsigned note, int dur);
void flushkb(void);
void soundon(unsigned freq);
void soundoff(void);
void sound_init(void);

void alarm1(void);
void alarm2(void);
void alarm3(void);
void alarm4(void);
void alarm5(void);
void bach1(void);
void bach2(void);
void bach3(void);
void bach4(void);
void baseball(void);
void beep1(void);
void beep2(void);
void beep3(void);
void bomb(void);
void buzz1(void);
void buzz2(void);
void buzz3(void);
void charge(void);
void dentist(void);
void jig(void);
void laser1(void);
void laser2(void);
void meltdown(void);
void mystery(void);
void noise1(void);
void noise2(void);
void saints(void);
void silent(void);
void siren1(void);
void siren2(void);
void snake(void);
void spacezap(void);
void spanish(void);
void winner1(void);
void winner2(void);
void wipeout(void);
void worms(void);




